trust-store: core::trust::TaggedInteger< Tag, Integer > Struct Template Reference

trust-store 2.0.0 Provides a common implementation of a trust store to be used by trusted helpers.

Public Types | Public Member Functions | Public Attributes | List of all members
core::trust::TaggedInteger< Tag, Integer > Struct Template Reference

Helper structure for tagging integer types with certain semantics. More...

`#include <tagged_integer.h>`

Collaboration diagram for core::trust::TaggedInteger< Tag, Integer >:

## Public Types
typedef Tag | TagType
| We bail out if the Integral type is not an integral one. More...
typedef Integer | IntegerType
| Stores the Integer type. More...

## Public Member Functions
| TaggedInteger ()
| Construct an instance with a default value. More...
| TaggedInteger (Integer value)
| Construct an instance from an existing integer type. More...

## Public Attributes
Integer | value
| The contained integer value. More...

## Detailed Description

### template<typename Tag, typename Integer>
struct core::trust::TaggedInteger< Tag, Integer >

Helper structure for tagging integer types with certain semantics.

Definition at line 35 of file tagged_integer.h.

## Member Typedef Documentation

## ◆ IntegerType

template<typename Tag , typename Integer >

typedef Integer core::trust::TaggedInteger< Tag, Integer >::IntegerType

Stores the Integer type.

Definition at line 43 of file tagged_integer.h.

## ◆ TagType

template<typename Tag , typename Integer >

typedef Tag core::trust::TaggedInteger< Tag, Integer >::TagType

We bail out if the Integral type is not an integral one.

Stores the Tag type.

Definition at line 41 of file tagged_integer.h.

## Constructor & Destructor Documentation

## ◆ TaggedInteger() [1/2]

template<typename Tag , typename Integer >

core::trust::TaggedInteger< Tag, Integer >::TaggedInteger | ( |  | ) |
| inline

Construct an instance with a default value.

Definition at line 46 of file tagged_integer.h.

## ◆ TaggedInteger() [2/2]

template<typename Tag , typename Integer >

core::trust::TaggedInteger< Tag, Integer >::TaggedInteger | ( | Integer | value | ) |
| inlineexplicit

Construct an instance from an existing integer type.

Definition at line 51 of file tagged_integer.h.

## Member Data Documentation

## ◆ value

template<typename Tag , typename Integer >

Integer core::trust::TaggedInteger< Tag, Integer >::value

The contained integer value.

Definition at line 56 of file tagged_integer.h.

Referenced by core::trust::operator!=(), core::trust::operator<(), core::trust::operator<<(), core::trust::operator==(), and core::trust::TaggedInteger< tag::Pid, pid_t >::TaggedInteger().

The documentation for this struct was generated from the following file:

- /build/trust-store-git/src/trust-store/include/core/trust/tagged_integer.h